Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Class ActionHandler

    java.lang.Object
      org.eclipse.ui.commands.AbstractHandler
          org.eclipse.ui.commands.ActionHandler

All Implemented Interfaces:
  IHandler

public final class ActionHandler
extends AbstractHandler

This class adapts instances of `IAction` to `IHandler`.

Since:
  3.0

Constructor Summary
`ActionHandler(IAction action)` Creates a new instance of this class given an instance of `IAction`.

Method Summary
`void` | `dispose()` Removes the property change listener from the action.
`Object` | `execute(Map parameterValuesByName)` Executes with the map of parameter values by name.
`Map` | `getAttributeValuesByName()` This simply return an empty map.

Methods inherited from class org.eclipse.ui.commands.AbstractHandler
`addHandlerListener, fireHandlerChanged, removeHandlerListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionHandler

    public ActionHandler(IAction action)

  Creates a new instance of this class given an instance of `IAction`.

Parameters:
  `action` - the action. Must not be `null`.

Method Detail

### dispose

    public void dispose()

  Removes the property change listener from the action.

  Specified by:
    `dispose` in interface `IHandler`
  Overrides:
    `dispose` in class `AbstractHandler`
  See Also:
    `IHandler.dispose()`

### execute

    public Object execute(Map parameterValuesByName)
                   throws ExecutionException

  Description copied from interface: `IHandler`
  Executes with the map of parameter values by name.

  Parameters:
    `parameterValuesByName` - the map of parameter values by name. Reserved for future use, must be `null`.
  Returns:
    the result of the execution. Reserved for future use, must be `null`.
  Throws:
    `ExecutionException` - if an exception occurred during execution.
  See Also:
    `IHandler.execute(Map)`

### getAttributeValuesByName

    public Map getAttributeValuesByName()

  Description copied from class: `AbstractHandler`
  This simply return an empty map. The default implementation has no attributes.

  Specified by:
    `getAttributeValuesByName` in interface `IHandler`
  Overrides:
    `getAttributeValuesByName` in class `AbstractHandler`
  See Also:
    `IHandler.getAttributeValuesByName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.